// out: ../metaphactory-configuration/apps/sphaera/assets/styles.css

@black: #000;
@gray: #999;
@white: #fff;

@colBG: #F5F3EE;
@colBGContent: #fcfcfc;

@colContrast: #183D37;
@colAccent: #ffcc4e;
@colPrimary: #0D5060;
@colSecondary: desaturate( lighten(@colPrimary, 10%) , 40%);
@colDefault: @colBGContent;

@fontSizeLabel: 13.5px;
@fontSizeText: 14px;

@panel-padding: 15px;

@heightHeader: 45px;

body {
  background-color: @colBG;
  min-height: 100%;
}

a {
  &.title {
    color: @black;
    &:hover, &:focus {
      text-decoration: none;
    }
  }
}

dl {
  dt {
    color: @colContrast;
    font-weight: bold;
    font-size: 1.3rem;
    margin-top: 1rem;
  }
  dd {
    font-size: 1.2em;
    &.lead {
      color:@black;
      font-size: 1.6em;
      font-weight: normal;
    }
    > div {
      display: inline;
    }
  }
}

em {
  font-weight: bold;
  font-style: normal;
}

h1, h2, h3 {
  margin-top:3rem;
  margin-bottom: 2rem;
}

nav.metaphacts-header-navbar.navbar {
  height: @heightHeader;
  > .container-fluid {
    display: block !important;
    .navbar-collapse {
      margin-left:-15px;
      background-color: #183D37;
    }
    @media (min-width: 1200px) {
      .navbar-header {
        width: 16.66667%;
      }
      .navbar-nav {
        li:first-child{
          margin-left: -15px;
        }
      }
    }
  }
}

ul {
  &.field-validation-errors {
  margin-bottom: 2px;
  }

  &.nav-tabs {
    border: 0;
    &.nav-stacked {
      li {
        text-align: left;
        a {
            &:hover, &:active {
              border: 0;
            }
            border: 0;
            padding-left: 0;
            padding-right: 0;
            color: @gray;
        }
        &.active {
          a {
            color: @black;
            background: none;
            font-weight: bold;
          }
        }
      }
    }

    > li {
      > div {
        padding: 10px 15px;
      }
      &.link {
        > a {
          padding: 0 !important;
          > a {
            display: block;
            padding: 10px 15px;
          }
        }
      }
    }
  }
}

table {
  margin-bottom: 2em !important;

  > tbody + tbody {
    border: 0 !important;
    tr {
      &:hover {
        background: none;
      }
    }
  }

  tbody {
    tr {
      border-bottom: 0 !important;

      td {

        border-color: #fafafa;
        padding-left: 0 !important;
        &:first-child {
          font-size: 1.2em;
          width:40%;
        }
      }
    }
  }
  thead {
    border-bottom: 0 !important;
    tr {
      border-bottom: 0 !important;

      th {
        font-weight: normal;
        font-size: 1em;
        color: @black;
        padding-left: 0 !important;
        padding-top: 2em !important;
        border-bottom: 0 !important;
      }
    }
  }
}
#home-body {
  h4 {
    margin-top: 3em;
    margin-bottom: 2em;
  }
}

#home-head {
  margin-top: -1em;
  padding: 3em 0 2em 0;
}

.breadcrumb {
  border: none !important;
  background: transparent;
  padding-left: 0;
  .breadcrumb-item {
    > div {
      display: inline;
    }
  }
}

.bs-left-vertical-tabs {
    .tab-pane {
      padding-top: 0;
    }
}

.btn {
  margin-right: 3px;
}

.btn-default {
  background: @colDefault;
  border-color: darken(@colDefault, 4%);
}

.btn-primary {
  background: @colPrimary;
  border-color: darken(@colPrimary, 4%);
}

.btn-secondary {
  background: @colSecondary;
  border-color: darken(@colSecondary, 4%);
  color: @white;
  &:hover, &:active, &:active:hover {
    background-color: darken(@colSecondary, 10%);
    color: @white;
  }
}

.cardinality-support {
  padding-left: 0;
  margin-left:-12px;
}

.cardinality-support__header {
  margin-left: 0;
  .cardinality-support__label {
    font-size: @fontSizeLabel;
    margin-bottom: 3px;
  }
}

.category-selector {
  > li {
    background: @colBGContent;
    > div {
      background-size: 80% !important;
      background-position: center !important;
    }
  }
}

.content, .semantic-form {
  background: @colBGContent;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.06);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  padding: 2em;
}
.tab-pane .semantic-form {
  background: none;
  box-shadow: none;
  -webkit-box-shadow: none;
  padding: 0;
}


.disabled {
  position: relative;
  .input-layover {
    position: absolute;
    z-index: 100;
    top:35px;
    left:10px;
    background: white;
    width:80%;
    color:@gray;
  }
  .plain-text-field input{
    pointer-events: none;
  }

}

.facet__relation__values {
  background: @colBGContent;
  margin-top: 0 !important;
  .facet__relation__values__filter {
    margin: 0;
    border: 0;
    background: @colBGContent;
    border-bottom: 1px solid @colBG;
  }
  .facet__relation__values__value {
    margin: 5px;
  }
}

.footer {
  > div {
    background-color: darken(@colBG, 2%);
    min-height: 3em;
    padding-top: 1em;
    margin-top: 2em;
  }
}

.form-control {
  color: @black;
}


.form-submit {
  margin-top: 1em;
}

.gap-bottom {
  margin-bottom: 2em;
}

.global_search {

  position: relative;

  .form-group {
    margin-bottom: 0;
  }

  .form-search-results {

    background: white;
    border: 1px solid @colBG;
    border-top: 0;
    margin-bottom: 0;
    top: ~"calc(100% - 2px)";
    padding: 0 15px 15px 15px;
    position: absolute;
    width: 100%;
    z-index: 10;
    list-style: none;

    li {
      list-style: none;

      a {
        display: block;
        padding: .5em;
      }
    }
  }
}

.inPageHeader {

  overflow: hidden;
  margin-bottom: 2rem;

  h1 {
    margin-top: 2rem;
  }
  .page__header-thumbnail {
    display: none;
  }
}

.has-success {
  .form-control {
    border-color: #d9d9d9;
  }
}
textarea {
  border-color: #d9d9d9 !important;
}

.hover {
  .showOnHover {
    display: none;
  }
  &:hover {
    .showOnHover {
      display: block;
    }
  }
}

.identifier {
  padding-top: 2em;
  dd {
    font-size: 1em;
    color: @gray;
    &:hover {
      color: @black;
    }
  }
}

.navbar-inverse {
  background: @colContrast;
  .navbar-brand {
    font-weight: bold;
  }
}

.nav {
  > li {
    > a {
      &:hover {
        background-color: transparent;
      }
    }
  }
}

.page-breadcrumb {
  top: @heightHeader;
  left: 0;
  border: none !important;
  @media (min-width: 1200px) {
    padding-left: 16.66667% !important;
    li:first-child {
      padding-left: 15px;
    }
  }
}

.page {
  padding-top: 44px !important;
}

.panel {
  border: none;
  border-top: 1px solid #fdfdfd;
  .panel-header {
    margin-top: -@panel-padding;
    margin-bottom: -@panel-padding;
    padding-top: @panel-padding;
    background-color: darken(@colBGContent, 5%);
  }
  .panel-fill {
    width: 100%;
    width: ~"calc(100% + 30px)";
    margin-left: -@panel-padding;
    margin-right: -@panel-padding;
  }
}

.panel-numbering {
  margin: 0;
  padding: 0;
  list-style: none;
  counter-reset: item;
  > li {
    position: relative;
    counter-increment: item;
    &:before {
      position: absolute;
      top:@panel-padding;
      right: @panel-padding;
      content: counter(item);
      display: inline-block;
      color:@gray;
    }
  }
}

.QueryBuilder--searchAreaHolder {
  .QueryBuilder--searchArea {
    margin: auto;
    .QueryBuilder--searchClause {
      background: white;
    }
  }
}

.search-widget {
  position: relative;
  input {
    border-color: white;
  }
}

.semantic-form {
  .tab-content {
    background: @white; // fix
    padding: 1em;
    box-shadow: 0px 1px 1px rgba(0,0,0,0.05);
    -webkit-box-shadow: 0px 1px 1px rgba(0,0,0,0.05);
  }

  .table {
    > thead {
      > tr {
        > th {
          border:0;
          font-weight: bold;
          font-size: @fontSizeLabel;
        }
      }
    }
    > tbody {
      + tbody {
        border: 0;
      }
      > tr {
        > td {
          border: 0;
          font-size: @fontSizeText;
          a {
            color: @black;
          }
        }
      }
    }
  }
}

.tab-pane {
  > h3 {
    margin-top: 0;
  }
}

.table > thead > tr > th, .table > thead > tr > td, .table > tbody > tr > th, .table > tbody > tr > td, .table > tfoot > tr > th, .table > tfoot > tr > td {
  padding-left: 0;
}

/* overwrite bg color */

.nav-tabs {
  > li.active {
    > a, > a:hover, > a:focus, > a:active, > a:hover:active {
      background-color: @colBGContent;
      border: 0 !important;
      border-top: 2px solid @colAccent !important;
    }
  }
}

.semantic-form .nav-tabs {
  > li.active {
    > a, > a:hover, > a:focus, > a:active, > a:hover:active {
      background-color: @white;
    }
  }
}

.semantic-form .nav-stacked .nav-tabs {
  > li.active {
    > a, > a:hover, > a:focus, > a:active, > a:hover:active {
      background-color: transparent;
      border: transparent;
    }
  }
}

/* debug */

.hidden, .hidden-field {
  display: none !important;
}
/*
.hidden, .hidden-field {
  display:block;
}

*/
